<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.onekeylockscreen"
    android:versionCode="1"
    android:versionName="1.0" >

    <uses-sdk
        android:minSdkVersion="14"
        android:targetSdkVersion="21" />

    <uses-permission   android:name="android.permission.DISABLE_KEYGUARD"/>
    
    <application
        android:allowBackup="true"
        android:icon="@drawable/lock"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
        <activity
            android:name="com.example.onekeylockscreen.LockScreen"
            android:label="@string/app_name" 
        android:theme="@style/AppsTheme">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        
        
        
        
        
        
        
         <!-- 设备管理 -->   
        <receiver
            android:name="com.example.onekeylockscreen.LockScreenAdmin"
            android:icon="@drawable/lock"
            android:label="@string/app_name"
            android:permission="android.permission.BIND_DEVICE_ADMIN" >
            <meta-data
                android:name="android.app.device_admin"
                android:resource="@xml/lock_screen_admin" />

            <intent-filter>
                <action android:name="android.app.action.DEVICE_ADMIN_ENABLED" />
            </intent-filter>
        </receiver>
        
        
        
        
        
        
    </application>

</manifest>
